crashpad::ProcessMemoryFuchsia Class Referencefinal

Accesses the memory of another Fuchsia process. More...

`#include "util/process/process_memory_fuchsia.h"`

Inheritance diagram for crashpad::ProcessMemoryFuchsia:

## Public Member Functions

bool | Initialize (zx_handle_t process)
| Initializes this object to read the memory of a process by handle. More...
Public Member Functions inherited from crashpad::ProcessMemory
bool | Read (VMAddress address, size_t size, void *buffer) const
| Copies memory from the target process into a caller-provided buffer in the current process. More...
bool | ReadCString (VMAddress address, std::string *string) const
| Reads a `NUL`-terminated C string from the target process into a string in the current process. More...
bool | ReadCStringSizeLimited (VMAddress address, size_t size, std::string *string) const
| Reads a `NUL`-terminated C string from the target process into a string in the current process. More...

## Detailed Description

Accesses the memory of another Fuchsia process.

## Member Function Documentation

## Initialize()

bool crashpad::ProcessMemoryFuchsia::Initialize | ( | zx_handle_t | process | ) |

Initializes this object to read the memory of a process by handle.

This method must be called successfully prior to calling any other method in this class.

Parameters

  [in] | process | The handle to the target process.

Returns
  `true` on success, `false` on failure with a message logged.

The documentation for this class was generated from the following files:

- util/process/process_memory_fuchsia.h
- util/process/process_memory_fuchsia.cc